var { API, APIFunction, Data, ParamType } = require("../lib/main")

var server = new API({
    reverse: false,
    dots: false
});

// Word spacing.
server.route({
    url: "/image/wordspacing",
    method: "GET",
    code: `
        $c[Creating the canvas.]
        $createCanvas[
            $c[Drawing the canvas.]
            $setDimensions[600;600]

            $c[Drawing a white square as background.]
            $color[FFFFFF]
            $drawRect[0;0;600;600]

            $c[Modifying the font and color.]
            $color[000000]
            $font[30;Arial;bold]

            $c[Setting the word spacing]
            $setWordSpacing[$query[amount]]

            $c[Drawing the text.]
            $drawText[CGX made this beautiful update;0;0;600;600;center;middle]
        ]

        $c[Sending the request response.]
        $reply[
            $setCode[200]
            $setType[canvas]
            $setBody[%default%]
        ]
    `
});

// Letter spacing.
server.route({
    url: "/image/letterspacing",
    method: "GET",
    code: `
        x
        $c[Creating the canvas.]
        $createCanvas[
            $c[Drawing the canvas.]
            $setDimensions[600;600]

            $c[Drawing a white square as background.]
            $color[FFFFFF]
            $drawRect[0;0;600;600]

            $c[Modifying the font and color.]
            $color[000000]
            $font[30;Arial;bold]

            $c[Setting the word spacing]
            $setLetterSpacing[$query[amount]]

            $c[Drawing the text.]
            $drawText[CGX made this beautiful update;0;0;600;600;center;middle]
        ]

        $c[Sending the request response.]
        $reply[
            $setCode[200]
            $setType[canvas]
            $setBody[%default%]
        ]
    `
});

// Creating a linear gradient.
server.route({
    url: "/image/lineargradient",
    method: "GET",
    code: `
        $c[Creating the canvas.]
        $createCanvas[
            $c[Drawing the canvas.]
            $setDimensions[600;600]

            $c[Creating the gradient.]
            $createLinearGradient[uwu;0;0;600;600]

            $c[Adding color stops for the gradient.]
            $addColorStop[uwu;0;green]
            $addColorStop[uwu;0.5;white]
            $addColorStop[uwu;1;red]

            $c[Drawing a rectangle.]
            $color[uwu]
            $drawRect[0;0;600;600]
        ]

        $c[Sending the request response.]
        $reply[
            $setCode[200]
            $setType[canvas]
            $setBody[%default%]
        ]
    `
});

server.connect({
    port: 2500
});