import { CompiledFunction } from "../../classes/internal/CompiledFunction";
import { APIFunction, ParamType } from "../../structures/APIFunction";
import $createCanvas from "./createCanvas";
import { Data } from "../../structures/Data";
export default class AddColorStop extends APIFunction {
    name: string;
    description: string;
    parameters: readonly [{
        readonly name: "Gradient Name";
        readonly description: "The name for this gradient.";
        readonly type: ParamType.String;
        readonly required: true;
        readonly rest: false;
        readonly defaultValue: null;
    }, {
        readonly name: "Offset";
        readonly description: "The X0 coordinate.";
        readonly type: ParamType.Number;
        readonly required: true;
        readonly rest: false;
        readonly defaultValue: null;
    }, {
        readonly name: "Color";
        readonly description: "The stop color.";
        readonly type: ParamType.Color;
        readonly required: true;
        readonly rest: false;
        readonly defaultValue: null;
    }];
    usage: string;
    returns: ParamType;
    aliases: never[];
    compile: boolean;
    parent: $createCanvas;
    run(this: CompiledFunction, d: Data, [gradientName, offset, color]: string[]): Promise<void>;
}
