import { CompiledFunction } from "../../classes/internal/CompiledFunction";
import { APIFunction, ParamType } from "../../structures/APIFunction";
import $createCanvas from "./createCanvas";
import { Data } from "../../structures/Data";
export default class CreateConicGradient extends APIFunction {
    name: string;
    description: string;
    parameters: readonly [{
        readonly name: "Gradient Name";
        readonly description: "The name for this gradient.";
        readonly type: ParamType.String;
        readonly required: true;
        readonly rest: false;
        readonly defaultValue: null;
    }, {
        readonly name: "Start Angle";
        readonly description: "The angle at which to begin the gradient, in radians. The angle starts from a line going horizontally right from the center, and proceeds clockwise.";
        readonly type: ParamType.Number;
        readonly required: true;
        readonly rest: false;
        readonly defaultValue: null;
    }, {
        readonly name: "X";
        readonly description: "The x-axis coordinate of the center of the gradient.";
        readonly type: ParamType.Number;
        readonly required: true;
        readonly rest: false;
        readonly defaultValue: null;
    }, {
        readonly name: "Y";
        readonly description: "The y-axis coordinate of the center of the gradient.";
        readonly type: ParamType.Number;
        readonly required: true;
        readonly rest: false;
        readonly defaultValue: null;
    }];
    usage: string;
    returns: ParamType;
    aliases: never[];
    compile: boolean;
    parent: $createCanvas;
    run(this: CompiledFunction, d: Data): Promise<void>;
}
