import { CompiledFunction } from "../../classes/internal/CompiledFunction";
import { APIFunction, ParamType } from "../../structures/APIFunction";
import $createCanvas from "./createCanvas";
import { Data } from "../../structures/Data";
export default class CreateLinearGradient extends APIFunction {
    name: string;
    description: string;
    parameters: readonly [{
        readonly name: "Gradient Name";
        readonly description: "The name for this gradient.";
        readonly type: ParamType.String;
        readonly required: true;
        readonly rest: false;
        readonly defaultValue: null;
    }, {
        readonly name: "X0";
        readonly description: "The X0 coordinate.";
        readonly type: ParamType.Number;
        readonly required: true;
        readonly rest: false;
        readonly defaultValue: null;
    }, {
        readonly name: "Y0";
        readonly description: "The Y0 coordinate.";
        readonly type: ParamType.Number;
        readonly required: true;
        readonly rest: false;
        readonly defaultValue: null;
    }, {
        readonly name: "X1";
        readonly description: "The X1 coordinate.";
        readonly type: ParamType.Number;
        readonly required: true;
        readonly rest: false;
        readonly defaultValue: null;
    }, {
        readonly name: "Y1";
        readonly description: "The Y1 coordinate.";
        readonly type: ParamType.Number;
        readonly required: true;
        readonly rest: false;
        readonly defaultValue: null;
    }];
    usage: string;
    returns: ParamType;
    aliases: never[];
    compile: boolean;
    parent: $createCanvas;
    run(this: CompiledFunction, d: Data): Promise<void>;
}
