import { CompiledFunction } from "../../classes/internal/CompiledFunction";
import { APIFunction, ParamType } from "../../structures/APIFunction";
import $createCanvas from "./createCanvas";
import { Data } from "../../structures/Data";
export default class CreateRadialGradient extends APIFunction {
    name: string;
    description: string;
    parameters: readonly [{
        readonly name: "Gradient Name";
        readonly description: "The name for this gradient.";
        readonly type: ParamType.String;
        readonly required: true;
        readonly rest: false;
        readonly defaultValue: null;
    }, {
        readonly name: "X0";
        readonly description: "The x-axis coordinate of the start circle.";
        readonly type: ParamType.Number;
        readonly required: true;
        readonly rest: false;
        readonly defaultValue: null;
    }, {
        readonly name: "Y0";
        readonly description: "The y-axis coordinate of the start circle.";
        readonly type: ParamType.Number;
        readonly required: true;
        readonly rest: false;
        readonly defaultValue: null;
    }, {
        readonly name: "Radius 0";
        readonly description: "The radius of the start circle. Must be non-negative and finite.";
        readonly type: ParamType.Number;
        readonly required: true;
        readonly rest: false;
        readonly defaultValue: null;
    }, {
        readonly name: "X1";
        readonly description: "The x-axis coordinate of the end circle.";
        readonly type: ParamType.Number;
        readonly required: true;
        readonly rest: false;
        readonly defaultValue: null;
    }, {
        readonly name: "Y1";
        readonly description: "The y-axis coordinate of the end circle.";
        readonly type: ParamType.Number;
        readonly required: true;
        readonly rest: false;
        readonly defaultValue: null;
    }, {
        readonly name: "Radius 1";
        readonly description: "The radius of the end circle. Must be non-negative and finite.";
        readonly type: ParamType.Number;
        readonly required: true;
        readonly rest: false;
        readonly defaultValue: null;
    }];
    usage: string;
    returns: ParamType;
    aliases: never[];
    compile: boolean;
    parent: $createCanvas;
    run(this: CompiledFunction, d: Data): Promise<void>;
}
