import { CompiledFunction } from "../../classes/internal/CompiledFunction";
import { APIFunction, ParamType } from "../../structures/APIFunction";
import $createCanvas from "./createCanvas";
import { Data } from "../../structures/Data";
export default class SetLetterSpacing extends APIFunction {
    name: string;
    description: string;
    parameters: readonly [{
        readonly name: "Amount";
        readonly description: "The spacing amount in \"px\".";
        readonly type: ParamType.Number;
        readonly required: true;
        readonly rest: false;
        readonly defaultValue: null;
    }];
    usage: string;
    returns: ParamType;
    aliases: never[];
    compile: boolean;
    parent: $createCanvas;
    run(this: CompiledFunction, d: Data): Promise<void>;
}
