import { CompiledFunction } from "../../classes/internal/CompiledFunction";
import { APIFunction, ParamType } from "../../structures/APIFunction";
import { Data } from "../../structures/Data";
export default class CreateCallback extends APIFunction {
    name: string;
    description: string;
    parameters: {
        name: string;
        description: string;
        type: ParamType;
        required: boolean;
        rest: boolean;
        defaultValue: null;
    }[];
    usage: string;
    aliases: string[];
    returns: ParamType;
    compile: boolean;
    run(this: CompiledFunction, d: Data, [name, code]: string[]): Promise<void>;
}
