Object.defineProperty(exports,"__esModule",{value:!0}),exports.Interpreter=void 0,exports.isStringToken=isStringToken,exports.isFunctionToken=isFunctionToken;let tslib_1=require("tslib"),Error_1=require("../structures/Error"),main_1=require("../main"),Compiler_1=require("./Compiler"),colors_1=tslib_1.__importDefault(require("colors")),ms_1=tslib_1.__importDefault(require("ms")),CompiledFunction_1=require("./internal/CompiledFunction");function isStringToken(e){return e.type&&"TEXT"===e.type}function isFunctionToken(e){return"name"in e&&"inside"in e&&"fields"in e&&"all"in e}function removeComments(e){return e.split("\n").map(e=>e.split("//")[0]).join("\n")}class Interpreter{async run(e,r){r.comments=r.comments??!1,r.reverse=r.reverse??!1,!0===r.comments&&(e=removeComments(e)),r.data.setStart(performance.now());let t=(new Compiler_1.Compiler).remap(e,r.data.server.rs,!0);var n,e=r.reverse,a=[];for(n of t=e?t.reverse():t){if(r.data.break)break;if(isStringToken(n))a.push(n.value);else{if(!r.data.functions.has(n.name.toLowerCase()))throw new Error_1.NotAFunctionError(n);var i=r.data.functions.get(n.name.toLowerCase()),o=[],s=i.parameters?.length??0,l=0<s?i.parameters.filter(e=>!0===e.required):[];if(0<s&&l.length>n.fields.length)throw new Error_1.MissingRequiredValuesError(n,l.length,s);if(!0===r.debug&&console.log(`${colors_1.default.green((new Date).toLocaleString())} | ${colors_1.default.yellow("Parsing")}: `+colors_1.default.bold(i.name)),0<s&&!0===i.compile)for(let e=0;e<n.fields.length;e++){var p=n.fields[e],m=i.parameters[e];if(m?.rest&&e!==i.parameters.length-1)throw new Error_1.InvalidRestParameter;var u,p=await this.run(p,r);if(r.data.break=p.break,o.push("string"!=typeof p.code?"":p.code),void 0!==m&&void 0!==m.allowedValues&&!m.allowedValues.includes(o.at(-1)))throw new Error_1.InvalidAllowedValue(n,e,m.allowedValues,o.at(-1));if(e===s&&m?.rest)for(u of n.fields.slice(e+1)){var d=await this.run(u,r);r.data.break=d.break,o.push("string"!=typeof d.code?"":d.code)}}else 0<s&&!1===i.compile&&o.push(...n.fields.map(e=>(0,main_1.Unescape)(e)));r.data.function=new CompiledFunction_1.CompiledFunction(r.data,n),l=await i.run.call(r.data.function,r.data,o),a.push(void 0===l?"":"string"==typeof l?(0,main_1.Unescape)(l):l)}}return r.data.code=(e?a.reverse():a).join(""),r.data}static handleOutput(e,r){if(e=main_1.Util.parse(e),r.returns===main_1.ParamType.String&&"string"!=typeof e)throw new Error_1.InvalidType(r.name,"string",typeof e);if(r.returns===main_1.ParamType.Number&&"number"!=typeof e)throw new Error_1.InvalidType(r.name,"number",typeof e);if(r.returns===main_1.ParamType.Boolean&&"boolean"!=typeof e)throw new Error_1.InvalidType(r.name,"boolean",typeof e);if(r.returns===main_1.ParamType.Time&&"number"!=typeof e)throw new Error_1.InvalidType(r.name,"time",typeof e);if(r.returns===main_1.ParamType.BigInt&&"bigint"!=typeof e)throw new Error_1.InvalidType(r.name,"bigint",typeof e);if(r.returns===main_1.ParamType.JSON&&"object"!=typeof e)throw new Error_1.InvalidType(r.name,"JSON",typeof e);return!0}static parse(e,r,t,...n){return e===main_1.ParamType.BigInt?Interpreter.parseBigInt(r,t):e===main_1.ParamType.Boolean?Interpreter.parseBoolean(r,t):e===main_1.ParamType.Date?Interpreter.parseDate(t,r):e===main_1.ParamType.JSON?Interpreter.parseJSON(r,t):e===main_1.ParamType.List?Interpreter.parseList(r,n[0],t):e===main_1.ParamType.Number?Interpreter.parseNumber(r,t):e===main_1.ParamType.Time?Interpreter.parseTime(r,t):r}static parseBoolean(e,r){var t=["true","yes","1","!0","!false"];if(t.includes(e)||["false","no","0","!1","!true"].includes(e))return t.includes(e);throw new Error_1.InvalidType(r.name,"boolean",e)}static parseBigInt(e,r){if(!e.endsWith("n"))throw new Error_1.InvalidType(r.name,"bigint",e);var t=e.slice(0,-1);if(!1===/^[0-9]*$/.test(t))throw new Error_1.InvalidType(r.name,"bigint",e);return BigInt(t)}static parseDate(e,r){if(r){var t=new Date(r);if("Invalid Date"===t.toString())throw new Error_1.InvalidType(e.name,"Date",r);return t}return new Date}static parseJSON(e,r){if(!e.startsWith("{")||!e.endsWith("}"))throw new Error_1.InvalidType(r.name,"JSON",e.slice(0,6)+"...");try{return JSON.parse(e)}catch{throw new Error_1.InvalidType(r.name,"JSON",e.slice(0,6)+"...")}}static parseList(e,r,t){return e.split(r)}static parseNumber(e,r){var t=Number(e);if(isNaN(t))throw new Error_1.InvalidType(r.name,"number",e);return t}static parseTime(e,r){var t=(0,ms_1.default)(e);if(isNaN(t))throw new Error_1.InvalidType(r.name,"Time",e);return t}}exports.Interpreter=Interpreter;